#!/bin/bash

tag=v0.3.1

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)

pushd "$tmp"
git clone git://github.com/jaredhanson/chai-connect-middleware.git
cd chai-connect-middleware
git archive --prefix="test/" --format=tar tags/${tag}:test/ \
    | bzip2 > "$pwd"/chai-connect-middleware-tests-${tag}.tar.bz2
popd
